> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Phone

> Verify Phone



## OpenAPI

````yaml /api-reference/forms/openapi.json post /forms/verify-phone
openapi: 3.0.0
info:
  title: Forms API
  description: Documentation for forms API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Forms
    description: Documentation for forms API
  - name: Categories
    description: Documentation for forms API
paths:
  /forms/verify-phone:
    post:
      tags:
        - Forms
      summary: Verify Phone
      description: Verify Phone
      operationId: verify Phone
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyPhoneParamsDto'
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer: []
components:
  schemas:
    VerifyPhoneParamsDto:
      type: object
      properties:
        locationId:
          type: string
          description: Location ID
          example: aF3KhyL8JIuBwzK3m7Ly
        mediumId:
          type: string
          description: Medium ID
          example: aF3KhyL8JIuBwzK3m7Ly
        phone:
          type: string
          description: Phone
          example: '1234567890'
        token:
          type: string
          description: Token ID
          example: d39a0b10-01e2-4b81-8ead-c18ae0a0a8ad
        otp:
          type: string
          description: OTP
          example: '434343'
        type:
          type: string
          description: Type
          example: type
        captchaToken:
          type: string
      required:
        - locationId
        - mediumId
        - phone
        - token
        - otp
        - type
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````